Skip to Content.
Sympa Menu

sm-commit - [SM-Commit] GIT changes to stable-0.62 grimoire by Vlad Glagolev (65365ba582f548b1c1d7f239b70962e239ef366c)

sm-commit AT lists.ibiblio.org

Subject: Source Mage code commit list

List archive

Chronological Thread  
  • From: Vlad Glagolev <scm AT sourcemage.org>
  • To: sm-commit AT lists.ibiblio.org
  • Subject: [SM-Commit] GIT changes to stable-0.62 grimoire by Vlad Glagolev (65365ba582f548b1c1d7f239b70962e239ef366c)
  • Date: Sun, 29 Mar 2015 05:09:45 -0500

GIT changes to stable-0.62 grimoire by Vlad Glagolev <stealth AT sourcemage.org>:

archive-libs/zlib/FINAL | 1 +
archive-libs/zlib/HISTORY | 5 +++++
archive-libs/zlib/INSTALL | 3 +--
smgl/init.d/BUILD | 36 +++++++++++++++++++++++++++++++++++-
smgl/init.d/HISTORY | 5 +++++
smgl/init.d/INSTALL | 34 ----------------------------------
6 files changed, 47 insertions(+), 37 deletions(-)

New commits:
commit 65365ba582f548b1c1d7f239b70962e239ef366c
Author: Vlad Glagolev <stealth AT sourcemage.org>
Commit: Vlad Glagolev <stealth AT sourcemage.org>

init.d: fixed castfs usage

(cherry picked from commit 8206d3286308868ed84f1bb04c766532a8514433)

commit 09c81557499d58f4a218075182eac157a53d5564
Author: Vlad Glagolev <stealth AT sourcemage.org>
Commit: Vlad Glagolev <stealth AT sourcemage.org>

zlib: fixed castfs usage

(cherry picked from commit 342e230abdfbee0cd53f6be98b3f7c5852d04faf)

diff --git a/archive-libs/zlib/FINAL b/archive-libs/zlib/FINAL
new file mode 100755
index 0000000..9cfdc23
--- /dev/null
+++ b/archive-libs/zlib/FINAL
@@ -0,0 +1 @@
+rm_source_dir $SOURCE_DIRECTORY.static
diff --git a/archive-libs/zlib/HISTORY b/archive-libs/zlib/HISTORY
index 44f2f34..1d71fc0 100644
--- a/archive-libs/zlib/HISTORY
+++ b/archive-libs/zlib/HISTORY
@@ -1,3 +1,8 @@
+2015-03-29 Vlad Glagolev <stealth AT sourcemage.org>
+ * INSTALL: moved removal of extra src dirs to FINAL, otherwise it
+ prevents castfs from proper unmounting
+ * FINAL: added
+
2014-04-03 Treeve Jelbert <treeve AT sourcemage.org>
* DETAILS: version 1.2.8

diff --git a/archive-libs/zlib/INSTALL b/archive-libs/zlib/INSTALL
index a8adc96..d4b8a77 100755
--- a/archive-libs/zlib/INSTALL
+++ b/archive-libs/zlib/INSTALL
@@ -1,5 +1,4 @@
cd $SOURCE_DIRECTORY.static &&
make prefix=$INSTALL_ROOT/usr install &&
cd $SOURCE_DIRECTORY &&
-make prefix=$INSTALL_ROOT/usr install &&
-rm_source_dir $SOURCE_DIRECTORY.static
+make prefix=$INSTALL_ROOT/usr install
diff --git a/smgl/init.d/BUILD b/smgl/init.d/BUILD
index b465d9a..e979159 100755
--- a/smgl/init.d/BUILD
+++ b/smgl/init.d/BUILD
@@ -1,2 +1,36 @@
install -vm 755 -d "$INSTALL_ROOT/etc/init.d/runlevels/%2" &&
-touch "$INSTALL_ROOT/etc/init.d/runlevels/%2/sorbus-aria"
+touch "$INSTALL_ROOT/etc/init.d/runlevels/%2/sorbus-aria" &&
+
+check_static_dev () {
+ echo "checking if your static /dev is ok..." &&
+ mkdir /tmp/$$.bindmount &&
+ mount --bind ${INSTALL_ROOT}/ /tmp/$$.bindmount &&
+ cd /tmp/$$.bindmount/dev &&
+ if [ ! -c console -o ! -c null ]; then
+ message "Ok, going to create!" &&
+ # asked in CONFIGURE
+ # if query "You don't seem to have a static /dev tree, should i create it
?" y
+ # then
+ create_group kmem &&
+ create_group tty &&
+ create_group ppp &&
+ create_group lp &&
+ create_group disk &&
+ create_group floppy &&
+ create_group audio &&
+ # existing nodes should not make me fail
+ $SCRIPT_DIRECTORY/MAKEDEV generic-nopty md || true &&
+ mkdir -p shm pts &&
+ mknod initctl p || true
+ # fi
+ else
+ echo "seems ok"
+ fi &&
+ cd / &&
+ umount /tmp/$$.bindmount &&
+ rmdir /tmp/$$.bindmount
+}
+
+if [[ "$DEVICES" != "devfs" ]] && [[ "$CREATE_DEV_TREE" == y ]]; then
+ check_static_dev
+fi
diff --git a/smgl/init.d/HISTORY b/smgl/init.d/HISTORY
index 9251b97..7ab1a0e 100644
--- a/smgl/init.d/HISTORY
+++ b/smgl/init.d/HISTORY
@@ -1,3 +1,8 @@
+2015-03-29 Vlad Glagolev <stealth AT sourcemage.org>
+ * INSTALL: don't do mount-based checks here, prevents castfs from
+ correct unmount
+ * BUILD: check for static /dev
+
2015-02-11 Vlad Glagolev <stealth AT sourcemage.org>
* DEPENDS: UDEV -> DEVICE-MANAGER

diff --git a/smgl/init.d/INSTALL b/smgl/init.d/INSTALL
index 6de98cd..43bf811 100755
--- a/smgl/init.d/INSTALL
+++ b/smgl/init.d/INSTALL
@@ -1,33 +1,3 @@
-check_static_dev () {
- echo "checking if your static /dev is ok..." &&
- mkdir /tmp/$$.bindmount &&
- mount --bind ${INSTALL_ROOT}/ /tmp/$$.bindmount &&
- cd /tmp/$$.bindmount/dev &&
- if [ ! -c console -o ! -c null ]; then
- message "Ok, going to create!" &&
- # asked in CONFIGURE
- # if query "You don't seem to have a static /dev tree, should i create it
?" y
- # then
- create_group kmem &&
- create_group tty &&
- create_group ppp &&
- create_group lp &&
- create_group disk &&
- create_group floppy &&
- create_group audio &&
- # existing nodes should not make me fail
- $SCRIPT_DIRECTORY/MAKEDEV generic-nopty md || true &&
- mkdir -p shm pts &&
- mknod initctl p || true
- # fi
- else
- echo "seems ok"
- fi &&
- cd / &&
- umount /tmp/$$.bindmount &&
- rmdir /tmp/$$.bindmount
-}
-
mkdep()
{
local file="$RD/%$1/runlevel.config" &&
@@ -50,10 +20,6 @@ FD=$SCRIPT_DIRECTORY/files # Files Directory
ID=${INSTALL_ROOT}/etc/init.d # Init Dir
RD=${INSTALL_ROOT}/etc/init.d/runlevels # Runlevels Dir

-if [[ "$DEVICES" != "devfs" ]] && [[ "$CREATE_DEV_TREE" == y ]]; then
- check_static_dev
-fi &&
-
pinfo "Creating directories..." &&

mkdir -pv $RD/%DEV $RD/%S $RD/%1 $RD/%2 $RD/%3 $RD/%4 $RD/%5 &&



  • [SM-Commit] GIT changes to stable-0.62 grimoire by Vlad Glagolev (65365ba582f548b1c1d7f239b70962e239ef366c), Vlad Glagolev, 03/29/2015

Archive powered by MHonArc 2.6.24.

Top of Page